Софтпанорама 1991, No. 8 (22)  *** NEWS ***   Составитель: Н.Н. БЕЗРУКОВ
************************************************************************

                 ╔═════════════════════════════════════╗
                 ║  П А Н О Р А М А   Н О В О С Т Е Й  ║
                 ╚═════════════════════════════════════╝

**************** Windows 3.1  - еще быстрее и мощнее ********************

   Новая версия демонстирует, что Microsoft сделала ставку на Windows
в ближайшем будущем. Среди нововедений:
   -  значительно  увеличена  скорость  (Windows  3.1  быстрее на 16 Мгц
      AT/386sx, чем версия 3.0 на 33 Мгц AT/386dx);
   - Драйвер FastDisk обходит DOS и BIOS (работает в защищенном режиме
     на 386 машинах и перехватывает все обращения к Int 13);
   - значительно усилен File Manager (до уровня Norton Desktop for Windows).
                                                                   Б.Н.Н.
                                          По материалам Byte, сент. 1991


***** Fastback Plus 3.0 нокаутирует Norton и Central Point Backup ******

   Новая версия  самой популярной  программы архивирования  подтверждает
высокий класс Fifth Genegation Systems, Inc. Хотя и версии 2.x  Fastback
Plus  во  многом  превосходят  имеющиеся  версии  Norton и Central Point
Backup. Среди нововведений:
   - улучшена степень сжатия (в среднем на 15%) !!!
   - включена схема коррекции  ошибок и восстановления при  повреждениях
     дискет);
   - повышена скорость анхивирования  (до 3 Мбайт/мин на PC  AT, до
10 Мбайт/мин на  мощных 386);
   - возможность удалять файлы при архивировании;
   - dBase III формат для протоколов архивирования !!!
   - расширены макровозможности, допускается пакетная обработка, управля-
     емая макропакетом.
                                                                   Б.Н.Н.

******************* FoxPro 2.0 - конкурент Paradox *********************

     Многие пользователи помнят тот прорыв, который представляла собой
версия 1.0: блестящий "мышиный" интерфейс, возможность полноценной рабо-
ты с полями типа MEMO, оптимизация использования памяти, FOXDOC и т.д. и
т.п.
     Версия 2.0 содержит не менее важое нововведение: Relational  Query-
By-Example  Language,  что  сразу  снижает  количество "перебежчиков" на
Paradox 3.51 и, что более важно, позволяет использовать FoxPro для  ана-
литической работы с базой данных, сохраняя все преимущества использования
"стандартного" dBase-совместимого формата файлов.
     Преодален второй существенный недостаток предыдущей версии - ее за-
мкнутость. Версия  2.0 позволяет  создавать EXE-файлы,  содержит Projеct
Manager и может линковаться с библиотеками на C или ассемблере.
     Сходство с полноценным компилятором  усиливается тем, что в  данную
версию включена оптимизация генерируемых программ с помощью специального
оптимизатора
     Версия еще работает на стандатной XT.
                                                                   Б.Н.Н.

**************************** PC Tools 7.0 *****************************

     Судя по первому  впечатлению, как внешне,  так и по  функциональным
возможностям эта версия  очень похожа на  Noton Utilities 6.0.  Функцио-
нальные возможности возрости и в отличие от Нортона диалоговая командная
оболочка непрерывно совершенствуется. Как и предыдущие версии расширение
ведет к увеличению "монстровитости" и эксплуатировать ее на  стандартной
AT с 40M винчестером "немножко нервно".
                                                                   Б.Н.Н.

****** ПОЗДРАВЛЯЕМ ! Вышел первый киевский "окописишный" журнал ********
********************* "ПРОГРАММИСТСКИЕ ВЕДОМОСТИ" **********************

    Данный журнал является первым киевским "околописишным"  компьютерным
журналом и, хотя первая  ласточка не делает весны,  я думаю он не  долго
останется в одиночестве. Журнал анонсирован как специальное издание  для
профессиональных  программистов.  Издатель  "Украинское  республиканское
агенство Объединения прикладных диалоговых систем ЦЭНДИСИ СССР"(названь-
еце ну прямо из "Золотого теленка"). Научные консультанты (читай,  глав-
ный редактор и  зам.) В.С.Михайлевич (академик  AН СССР, директор  ИК АН
УССР !!!) и  Ю.Н.Журавлев. Журнал подготовили  (это, читая между  строк,
редколлегия)  П.В.Сигорский,В.В.Задорожный,   В.А.Пекарь,   В.В.Донченко
В.В.Збаразкий. Редактор Л.А.Жупанская.
    Первый номер вышел тиражем 10 тыс. экз. Следует сразу отметить блес-
тящее полиграфическое оформление  и высококачественную бумагу.  Объем 48
стр при цене 5  руб. за номер (примерно  10 коп за стр.).  В номер вошел
ряд публикаций  достаточно сильных  авторов, хорошо  знакомых участникам
семинара  и  читателям  Софтпанорамы  (В.Форсюк  Д.Кохманюк  В.Гальперин
Л.Обухов). В какой-то  мере это свидетельство  того, что даже  при очень
высокой степени деградации вузов в них остаются "диссиденты" - способные
специалисты,  талант  которых,  к  сожалению, остается невостребованным.
Журнал неплохо отредактирован.  Привлекают яркие иллюстрации.  Есть даже
комикс в стиле вузовских  анекдотов на тему "студенты-программисты  и их
преподы". При том же объеме журнал значительно сильнее почившего в  бозе
Интеркомпьютера. Много полезного материалы низкого(хакерного) уровня.
    Конечно первый номер не лишен недостатков. Ясно видно, что  редакция
как бы сидит "между двух стульев" - с одной стороны ряд материалов  сви-
детельствует о стремлении привлечь массового читателя (точнее  массового
хакера), а с другой - свободу маневра (т.е. материалы типа "Crime Wave -
пароли больше не нужны",  с. 37) ограничивает объявленная  ориентация на
профессионалов. По  сути только  статья "Почему  С++" Руслана  Белкина и
Владимира Сороки  "тянет" на  полупрофессиональный журнал (уровня Byte).
Действительно, "что-то в жизни перепуталось хитро": академик Михайлевич и
"пароли не нужны". Вообще, наличие "высоких покровителей" несколько  на-
стораживает. Номер вышел со значительной задержкой и некоторые материалы
к моменту публикации устарели.  Объем невелик, а часть  материалов ранее
публиковались в нашем бюллетене. К сожалению этот факт не отмечен редак-
цией. В редколлегию  не вошел Виктор  Форсюк, приложивший немало  усилий
для создания первого номера.
    Так или  иначе выход  первого кивского  "околописишного" журнала это
"успех и этап и значительный шаг". Редакция бюллетеня Софтпанорама позд-
равляет редакцию "Программистских ведомостей" с выходом первого номера и
желает успехов на минном поле издательской деятельности  "околописишных"
журналов.

                                                                  Б.Н.Н.

******************* Проблемы есть не только в СССР: *******************
**************** Фирма Apple увольняет 10% сотрудников ****************

   Вынужденное в результате острой конкуренции со стороны IBM PC  значи-
тельное снижение цен на Apple привело к соответствующему уменьшения  до-
ходов фирмы и вынудило руководство  объявить о плане сокращения 10%  со-
трудников.
                                                                   Б.Н.Н.
╔══════════════════════════════════════════════════════════════════════╗
║                              HARDWARE                                ║
╚══════════════════════════════════════════════════════════════════════╝

*********************** Запад переходит на 486sx **********************

     Если вы собираетесь приобрести AT/386 на 33 Мгц есть смысл  немного
выждать. Интель начал продавать  20 мегагерцовые 486SX по  бросовой цене
$234 за штуку и компьютеры  на базе 80386-33 и 80486sx-20  сразу сравня-
лись в цене, а их средняя цена упала до трех тысяч долларов.  Ожидается,
что в дальнейшем цена AT/486sx будет ниже, поскольку при меньшей  такто-
вой частоте можно использовать менее быстрые и более дешевые  контроллер
кэша и микросхемы памяти. В то же время производительность AT/486sx  вы-
ше, чем у 40 мегагерцовой AT/386. Ожидается, что в 1992 г. будет продано
более миллиона 486sx (1991 порядка 300 тысяч), продажа 16 мгц 386sx упа-
дет с 4-х до 2.5 миллионов.
                                                                   Б.Н.Н.

*********** Беспрецедентное падение цен на сопроцессоры ****************

    Цена 33 Мгц сопроцессора фирмы Intel упала с $994 до $299. Сопроцес-
сор 80287 можно теперь купить меньше чем за $100.
                                                                   Б.Н.Н.

******** Модемы 9600 бод v.32 новый западный стандарт де-факто *********
****************** Модемы 2400 бод уходят на восток; *******************

   Цены на модемы со скоростью передачи  9600 бод резко упали и к  концу
года могут стать ниже $300. Например компания Phylon (поставщик микросхем
фирмы Hayes),  представила новую  версию своего  комплекта микросхем  на
9.600 бод по цене $50 при продаже партиями. Покупатели модемов 9600 мо-
гут передавать данные в 2-4 раза, быстрее заплатив те же деньги, которые
три года назад стоил 2400 MNP 5. Годовая экономия оплаты телефонных  пе-
реговоров окупает разницу в ценах 9600 и 2400 в несколько раз. Кроме то-
го становится возможным передавать мегабайтные файлы, что при  использо-
вании 2400 бод  "очень нервно". Для  советских покупателей модемов  9600
это означает, что цены по  которым происходит продажа могут быть  значи-
тельно ниже каталожных цен (на несколько сот долларов), а  соответствую-
щий рублевый пересчет должен рассматриваться как верхняя граница  прием-
лемой цены. Отныне BBS должны использовать этот и только этот тип  моде-
мов.
   Уровень  передовой  технологии  сейчас  соответствует скорости 14400
бод (стандарт V.32 bis). Фирма Telebit начинает выпуск модема Т3000  ра-
ботающего со скоростью 14400, что позволяет ограничиться одной  арендуе-
мой линией при значительном  суточном траффике или отказаться  от аренды
при траффике ниже 10M в  сутки. Розничная цена $1.095 долларов,  включая
средства защиты информации. Указанный модем представляется очень перспе-
ктивным для связи между узлами сети Relcom.
                                                                   Б.Н.Н.
                                          по  материалам  The Teleputing
                                          Hotline,V.4 N.74 - Sept.17,1991


********* ОСТОРОЖНО! Внутренний модем HMD-2402P фирмы Hyundai **********

     Поьзователи, купившие этот внутренний модем на 2400 бод с удивлени-
ем обнаружили, что они не могут  связаться ни с одной из BBS  на которых
установлены HST 9600 (U.S.Robotics).  Не удивительно, что партии  именно
этого модема появились на советском рынке. Еще один модем той же  фирмы,
продаваемый у нас - внешний модем HMD-2404M работает нормально.
     С учетом обстановки, покупатели должны требовать тестирования моде-
ма на нормальную связь с HST 9600 и не покупать "кота в мешке".
                                                                   Б.Н.Н.

************** Дисководы 2.88M для IBM PC стали реальностью *************
**************** Ожидается удешевление дискет на 1.2M *******************

   Фирма IBM приняла решение включить дисководы для этого, давно ожидае-
мого формата, в свои компьютеры. Как обычно, включение в компьютеры  IBM
PC означает получение форматом 2.88 статуса стандарта. Дисководы,  изго-
товляемые фирмами Toshiba и  Sony, используют 4 мегабайтные  дискеты уже
освоенные  ведущими  производителями  дискет,  включая Verbatum, Maxell,
Basf, Sony. Ожидается, что к началу 1992 г. все производители  компьюте-
ров будут снабжать выпускаемые машины этим типом дисководов. Таким обра-
зом форматы 1.2M  и 1.44M теряют  статус передовых и  переходят в разряд
обычных, что означает снижение цен на дискеты и дисководы.
                                                                   Б.Н.Н.

********************* Новый класс PC - блокнотный **********************

   Хотя портативные и тетрадные PC  сейчас переживают бум, уних уже  по-
явился серьезный конкурент в лице блокнотных PC. Этот тип PC лишен  кла-
виатуры и  управляется проводны  или беспроводным  стилусом. В  качестве
операционной системы используется Microsoft PenWindows или PenPoint фир-
мы Go Corp. Пионером промышелнного освоения этого класса машин выступила
фирма NCR, выпустившая на рынок компьютер NRC System 3125 по цене $4400.
Размер компьютера совпадают с компьютерами тетрадного типа и  составляет
21 * 28 см. Толщина 2.5 см. Вес около двух килограммов.
   Машина опознает написанные стилусом тексты в виде печатных букв:  ре-
зидентная программа распознавания передает их в буфер клавиатуры. Как  и
при вводе с клавиатцры, текст  может вводиться асинхронно, во время  вы-
полнения машиной прикладных программ. NCR использует алгоритм,  разрабо-
танный совместно с фирмой Computer Intelligence.
   Компьютер выпускается в друх модификациях: с дисплеями портретного  и
ланшафтного типа (PenPoint сейчас поддреживает только портретный режим,
а PenWindows - ланшафтный, однако в будущем обе операционные системы бу-
дут поддерживать любую из этих друх ориентаций).
   Аппаратурно компьютер включает  80386, кэш 16  кб, 2M ОЗУ  и 2М EPROM
(расширяемой до 8М), используемой как память для рестарта системы  после
включения и память для сбора состояния системы при выключении Кроме того
имеется винчестер 20M 19  мсек. и стандартные вставляемые  карты памяти.
Имеется слот для модема или дисковода и 180 контактный разьем расширения
шины. Последний может присоединяться к входящемцу с стандартную поставку
соединительному модулю, который включает четыре порта (1-параллельный, 2
последовательных и один для  VGA-дисплея). Присоедидение к этому  модулю
компьютер может работать с внешним дисплеем и дополнительными  устройст-
вами.  К  концу  года  бедт  поставляться специальный док, который будет
включать  дополнительный  винчестер,  флоппи  диски,  два полноразмерных
разъема для карт расширения и блок питания, который будет  автоматически
подзаряжать батарею, пока компьюетр находится  в доке. Цена дока еще  не
объявлена.
   Система имеет тщательно продуманную систему экономии питания, продле-
вающую время работы с батареями  и новый режим "глубокого сна",  который
вместо выключения  компьюетра сохраняет  содержимое оперативной  памяти.
Если компьюетр находится в этом режиме более чем три-пять суток и  бата-
реи разрядились, то  он автоматически сбрасывает  содержимое оперативной
памяти в EPROM.
                                                                   Б.Н.Н.
                                          по материалам BYTE, август 1991

********* Новая версия RISC микропроцессора 860 фирмы Интель **********

   Новая версия RISC микропроцессора 860 фирмы Интель, получившая назва-
ние 860 XP рабочает при тактовой  частоте 40, 50 и 60 Мгц.  При размерах
близких к размерам 80486  новый микропроцессор включает 2.55  млн. Внут-
ренний кэш имеет размер  32K. Помимо микропроцессора фирмой  выпущен ряд
микросхем специально рассчитанных на работу с ним. Среди них контроллер
прерываний, способный работать с несколькими центральными  процессорами
и статическая память с тактовой частотой 50Мгц.
   Появление  нового микровпроссора увеличит притягательность системы
UNIX для пользоватлей всех типов PC. 
                                                                  Б.Н.Н.
